using System.Text.Json.Serialization;

namespace File_Folder_Helper.Helpers;

public record LineNumber(int? Created,
                         int? H1,
                         int? MetaEnd,
                         int? Status,
                         int? Type,
                         int? Updated);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(LineNumber))]
internal partial class LineNumberSourceGenerationContext : JsonSerializerContext
{
}